Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#24833 - [lilypond] Compile failure with latest mpost from texlive

Attached to Project: Community Packages
Opened by Patrick McCarty (pnorcks) - Thursday, 23 June 2011, 02:25 GMT
Last edited by Sergej Pupykin (sergej) - Thursday, 23 June 2011, 09:15 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Sergej Pupykin (sergej)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
============

The latest texlive in [extra] has updates for mpost that prevent LilyPond from compiling, due to LilyPond's use of mf2pt1. A thread [1] on the metapost mailing list has a few interesting insights, but the discussion died last month and the root cause has not yet been found/clarified.

My 'lilypond-devel' package [2] in AUR includes a patch to fix the compile, though it is likely not a proper fix for the underlying issue. The patch is attached.

Note that this issue affects all 2.12, 2.14, or 2.15 releases.

[1] http://www.tug.org/pipermail/metapost/2011-May/002255.html
[2] http://aur.archlinux.org/packages.php?ID=17401

Package version(s):
===================

lilypond-2.12.3-7 from [community] or a self-compiled lilypond-2.14.1-1, lilypond-devel-2.15.2-1, etc.
This task depends upon

Closed by  Sergej Pupykin (sergej)
Thursday, 23 June 2011, 09:15 GMT
Reason for closing:  Fixed
Additional comments about closing:  thanks
Comment by Patrick McCarty (pnorcks) - Thursday, 23 June 2011, 06:39 GMT
The mailing list post I meant to reference is this one: http://www.tug.org/pipermail/metapost/2011-May/002247.html

Loading...